/**
 * Listens for the app launching then creates the window
 *
 */
chrome.app.runtime.onLaunched.addListener(function() {
  // Center window on screen.
  var screenWidth = screen.availWidth;
  var screenHeight = screen.availHeight;
  var width = 800;
  var height = 600;

  chrome.app.window.create('index.html', {
    id: "TaxFreeway18ID",
    outerBounds: {
      width: width,
      height: height,
      left: Math.round((screenWidth-width)/2),
      top: Math.round((screenHeight-height)/2)
    }
  });
});
// Open new window in Chrome instead of default browser.
// background
chrome.runtime.onMessage.addListener(function(message, sender, sendResponse) {
  if(message.action == "openURL") window.open(message.url);
});